<?php
  $ruta="../../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/creditomov.php");
  $creditomov=new creditomov;
  include_once($ruta."class/miempresa.php");
  $miempresa=new miempresa;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  session_start();
  extract($_GET);
  //********* SEGURIDAD GET *************/
  $valor=dcUrl($lblcode);
  $credM=$credito->muestra($valor);
  //echo $valor;
  $cred=$grupocredito->muestra($credM['idgrupocredito']);
  $gr=$grupo->muestra($cred['idgrupo']);
  $per=$persona->mostrarPrimero("idpersona=".$credM['idpersona']);
  $rutaImg=$ruta."imagenes/logo.png";
  $demp=$miempresa->muestra(1);
  $dus=$usuario->muestra($cred["usuariocreacion"]);
  $tba=$tipobanca->muestra($cred['idtipobanca']);
  $eje=$vadmejecutivo->muestra($credM['idejecutivo']);
  $ddom=$dominio->muestra($cred['frecuenciapago']);
  $cuotacobrar=$credM['cuotaspagadas'];
  $canTCred=$credito->mostrarTodo("idgrupocredito=".$valor." and tipocredito=0");
  $fecha=date('Y-m-d');

  $dint=$dominio->mostrarUltimo("tipo='INT.INTERNO'");
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Otorgacion de Crédito Interno";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1051;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l12">
                  <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> <?php echo $hd_titulo; ?></h5>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <div class="section">
              <div class="row">
                <div class='col s12 m12 l12'>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Información del Grupo</strong> </div></legend>
                      <div class="col s6 m4 l3">Nombre: <b><?php echo $per['nombre']." ".$per['paterno']." ".$per['materno'] ?></b></div>
                      <div class="col s6 m4 l3">Carnet: <b><?php echo $per['carnet']." ".$per['expedido'] ?></b></div>
                      <div class="col s6 m4 l3">Cuenta: <b><?php echo $credM['cuenta'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Ultima Reunión: <b><?php echo $cred['fechaultimo'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha: <b><?php echo $cred['fechaproximo'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Apertura: <b><?php echo $cred['fechadesembolso'] ?></b></div>
                      <div class="col s6 m4 l3">Fecha Cierre: <b><?php echo $cred['fechacierre'] ?></b></div>

                      <div class="col s6 m4 l3">Grupo: <b><?php echo $gr['nombre'] ?></b></div>
                      <div class="col s6 m4 l3">Codigo: <b><?php echo $cred['idgrupocredito'] ?></b></div>
                      <div class="col s6 m4 l3">Zona: <b><?php echo $gr['lugarreunion'] ?></b></div>
                      <div class="col s6 m4 l3">Ciclo: <b><?php echo $gr['idciclo'] ?></b></div> 

                      <div class="col s6 m4 l3">Cuotas: <b><?php echo $cuotacobrar.'/'.$cred['nrocuotas'] ?></b></div>
                      <div class="col s6 m4 l3">Lapso: <b><?php echo $ddom['short'] ?></b></div>
                      <div class="col s6 m4 l3">Tipo Banca: <b><?php echo $tba['nombre'] ?></b></div>
                      <div class="col s6 m4 l3">N° Integrantes: <b><?php echo count($canTCred) ?></b></div> 

                      <div class="col s6 m4 l3 green">Monto Otorgado: <b><?php echo $credM['montoOT'] ?> Bs.</b></div>
                  </fieldset>
                </div>
                <div class='col s12 m12 l12'>
                  <fieldset class="informacion">
                    <legend><div class="titulo"><strong>Otorgar crédito interno</strong> </div></legend>
                    <form class="col s12" id="idform" action="return false" onsubmit="return false" method="POST">
                      <input type="hidden" name="idgrupo" name="idgrupo" value="<?php echo $cred['idgrupocredito'] ?>">
                      <input type="hidden" id="idcredito" name="idcredito" value="<?php echo $valor ?>">
                      <button id="btnSend" class="btn purple"><i class="fa fa-save"></i> OTORGAR CREDITO</button>
                      <div class="row">
                        <div class="input-field col s12 m12 l4">
                          <input id="idmonto" name="idmonto"  type="number" value="<?php echo $credM['montoOT']/2 ?>" class="validate">
                          <label for="idmonto">Ingrese Monto</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                         <label>Frecuancia de pago</label>
                          <select id="idfrecuenciapago" name="idfrecuenciapago" onchange="calcular();">
                            <option value="0">Seleccionar</option>
                            <?php
                              foreach($dominio->mostrarTodo("tipo='FREPAGO'") as $f)
                              {
                                ?>
                                  <option value="<?php echo $f['iddominio']; ?>"><?php echo $f['nombre']; ?></option>
                                <?php
                              }
                            ?>
                          </select>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idnrocuotas" name="idnrocuotas"  type="number" class="validate">
                          <label for="idnrocuotas">Nro. Cuotas</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idfechadesembolso" name="idfechadesembolso"  type="date" class="validate"  onchange="calcular();">
                          <label for="idfechadesembolso">Fecha de desembolso</label>
                        </div>
                        <div class="input-field col s12 m12 l4">
                          <input id="idfechavence" readonly name="idfechavence"  type="date" class="validate">
                          <label for="idfechavence">Fecha Vencimiento</label>
                        </div>
                      </div>
                      <div class="row">
                        <div class="col s6 m4 l3">Interés: <b><?php echo $dint['nombre'] ?>%</b></div>
                        <div class="col s6 m4 l3">Interés a Favor: <b><?php echo $dint['short'] ?>%</b></div>
                        <div class="col s6 m4 l3">Interés a devolver: <b><?php echo $dint['codigo'] ?>%</b></div>
                        <div class="col s6 m4 l3">Interes a Cobrar: <b><span id="idinteres"></span></b></div>
                      </div>
                    </form>
                  </fieldset>
                </div>
              </div>
            </div> 
          </div> 
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
    ?>
    <script type="text/javascript">
    $('#btnSend').hide();
    $("#btnSend").click(function(){
      swal({
        title: "Registrar Crédito Interno",   
        text: "Esta Seguro de Otorgar",   
        type: "warning",   
        showCancelButton: true,   
        closeOnConfirm: false,   
        showLoaderOnConfirm: true,
      }, function () {
        var str = $( "#idform" ).serialize();
        //alert(str);
        $.ajax({
          url: "otorgar.php",
          type: "POST",
          data: str,
          success: function(resp){
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);   
                }, 1000); 
          }   
        });
      }); 
    });
    function calcular()
    {
      Frepago=$('#idfrecuenciapago').val();
      cuotas=$('#idnrocuotas').val();
      pago1=$('#idfecha1erpago').val();
      if (Frepago=="0" || cuotas=="") 
      {
        document.getElementById("idfechavence").value = "";
      }else{
        var str = $( "#idform" ).serialize();
        $.ajax({
          url: "calculaCred.php",
          type: "POST",
          data: str,
          success: function(resp){
            console.log(resp);
            $("#idresultado").html(resp);
          }   
        });
      }
    }  
  </script>
</body>

</html>